Package org.apache.storm.trident.operation.impl

## Class GroupCollector

- java.lang.Object
- - org.apache.storm.trident.operation.impl.GroupCollector

- All Implemented Interfaces:
    `TridentCollector`

      public class GroupCollector
      extends Object
      implements TridentCollector

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<Object>` | `currGroup` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupCollector​(TridentCollector collector, ComboList.Factory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `emit​(List<Object> values)` | Emits a tuple to a Stream.
    `void` | `flush()` | Flush any buffered tuples (when batching is enabled).
    `void` | `reportError​(Throwable t)` | Reports an error.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currGroup

          public List<Object> currGroup

  - ### Constructor Detail

    - #### GroupCollector

          public GroupCollector​(TridentCollector collector,
                                ComboList.Factory factory)

  - ### Method Detail

    - #### emit

          public void emit​(List<Object> values)

      Description copied from interface: `TridentCollector`
      Emits a tuple to a Stream.
      Specified by:
        `emit` in interface `TridentCollector`
      Parameters:
        `values` - a list of values of which the tuple will be composed

    - #### flush

          public void flush()

      Description copied from interface: `TridentCollector`
      Flush any buffered tuples (when batching is enabled).
      Specified by:
        `flush` in interface `TridentCollector`

    - #### reportError

          public void reportError​(Throwable t)

      Description copied from interface: `TridentCollector`
      Reports an error. The corresponding stack trace will be visible in the Storm UI.

      Note that calling this method does not alter the processing of a batch. To explicitly fail a batch and trigger a replay, components should throw `FailedException`.

      Specified by:
        `reportError` in interface `TridentCollector`
      Parameters:
        `t` - The instance of the error (Throwable) being reported.